import { EntityRepository, Repository } from "typeorm";
import { FooterBannerCmsEntity } from "./entities/footer-banner-cms.entity";
import { UpdateFooterBannerCmsDto } from "./dto/update-footer-banner-cms.dto";

@EntityRepository(FooterBannerCmsEntity)
export class FooterBannerCmsRepository extends Repository<FooterBannerCmsEntity> {

    async createEntity(dto: UpdateFooterBannerCmsDto): Promise<FooterBannerCmsEntity | Error> {
        try {
            const entity = this.create({
                heading: dto.heading,
                title: dto.title,
                placeholderText: dto.placeholderText
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateFooterBannerCmsDto, id: string): Promise<FooterBannerCmsEntity | Error> {
        try {
            await this.update(id, {
                heading: dto.heading,
                title: dto.title,
                placeholderText: dto.placeholderText
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<FooterBannerCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}