import { EntityRepository, Repository } from "typeorm";
import { HomePageBlogSectionCmsEntity } from "./entities/home-page-blog-section-cms.entity";
import { UpdateHomePageBlogSectionCmsDto } from "./dto/update-home-page-blog-section-cms.dto";

@EntityRepository(HomePageBlogSectionCmsEntity)
export class HomePageBlogSectionCmsRepository extends Repository<HomePageBlogSectionCmsEntity> {

    async createEntity(dto: UpdateHomePageBlogSectionCmsDto): Promise<HomePageBlogSectionCmsEntity | Error> {
        try {
            const entity = this.create({
                heading: dto.heading,
                title: dto.title
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateHomePageBlogSectionCmsDto, id: string): Promise<HomePageBlogSectionCmsEntity | Error> {
        try {
            await this.update(id, {
                heading: dto.heading,
                title: dto.title
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HomePageBlogSectionCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}