import { EntityRepository, Repository } from "typeorm";
import { HomePageTestimonialSectionCmsEntity } from "./entities/home-page-testimonial-section-cms.entity";
import { UpdateHomePageTestimonialSectionCmsDto } from "./dto/update-home-page-testimonial-section-cms.dto";

@EntityRepository(HomePageTestimonialSectionCmsEntity)
export class HomePageTestimonialSectionCmsRepository extends Repository<HomePageTestimonialSectionCmsEntity> {

    async createEntity(dto: UpdateHomePageTestimonialSectionCmsDto): Promise<HomePageTestimonialSectionCmsEntity | Error> {
        try {
            const entity = this.create({
                heading: dto.heading,
                title: dto.title,
                description: dto.description,
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateHomePageTestimonialSectionCmsDto, id: string): Promise<HomePageTestimonialSectionCmsEntity | Error> {
        try {
            await this.update(id, {
                heading: dto.heading,
                title: dto.title,
                description: dto.description,
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HomePageTestimonialSectionCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}