import { Module } from '@nestjs/common';
import { JwtModule } from '@nestjs/jwt';
import { TypeOrmModule } from '@nestjs/typeorm';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { ProductsRepository } from './product.repository';
import { ProductColorVariantsRepository } from '../product-color-variants/product-color-variants.repository';
import { ProductImageGalleryRepository } from '../product-image-gallery/product-image-gallery.repository';
import { ProductOffersRepository } from '../product-offers/product-offers.repository';
import { ProductOfferVariantsRepository } from '../product-offer-variants/product-offer-variants.repository';
import { ProductController } from './product.controller';
import { ProductService } from './product.service';
import { DoSpacesService } from 'src/modules/SpacesModule/SpacesService/doSpacesService';
import { DoSpacesServicerovider } from 'src/modules/SpacesModule/SpacesService';
import { ColorsRepository } from '../color/color-repository';
import { ProductStockImportRepository } from '../product-stock-import/product-stock-import.repository';
import { ProductDumpImportRepository } from '../product-dump-import/product-dump-importrepository';
import { HomePagePromotionSectionRepository } from 'src/modules/CRUD/home-page-promotion-section/home-page-promotion-section.repository';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([
            ProductsRepository,
            ColorsRepository,
            ProductColorVariantsRepository,
            ProductImageGalleryRepository,
            ProductOffersRepository,
            ProductOfferVariantsRepository,
            ProductStockImportRepository,
            ProductDumpImportRepository,
            HomePagePromotionSectionRepository
        ])
    ],
    controllers: [ProductController],
    providers: [
        ProductService,
        JwtHelper,
        DoSpacesService,
        DoSpacesServicerovider
    ]
})
export class ProductModule {}
